For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
      • GETList Orders
      • GETGet Order
      • PATCHUpdate Order
      • POSTFulfill Order
      • POSTUnfulfill Order
      • POSTRefund Order
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
EcommerceOrders

Unfulfill Order

POST
https://api.webflow.com/beta/sites/:site_id/orders/:order_id/unfulfill
POST
/beta/sites/:site_id/orders/:order_id/unfulfill
$curl -X POST https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/orders/5e8518516e147040726cc415/unfulfill \
> -H "Authorization: Bearer <token>"
1{
2 "orderId": "fc7-128",
3 "status": "refunded",
4 "comment": "Customer requested gift wrapping and a personalized note saying: Happy Birthday, Ford! 🎉 Please ensure the item is packed with extra bubble wrap for safe transit.",
5 "orderComment": "Please gift wrap with a personal note saying \"Happy Birthday, Ford! 🎉",
6 "acceptedOn": "2024-03-29T21:29:21.555Z",
7 "fulfilledOn": "2024-03-29T21:29:21.555Z",
8 "refundedOn": "2024-04-08T18:25:04.238Z",
9 "disputedOn": "2024-03-29T21:29:21.555Z",
10 "disputeUpdatedOn": "2024-03-29T21:29:21.555Z",
11 "disputeLastStatus": "charge_refunded",
12 "customerPaid": {
13 "unit": "USD",
14 "value": "11873",
15 "string": "$ 118.73 USD"
16 },
17 "netAmount": {
18 "unit": "USD",
19 "value": "11262",
20 "string": "$ 112.62 USD"
21 },
22 "applicationFee": {
23 "unit": "USD",
24 "value": "237",
25 "string": "$ 2.37 USD"
26 },
27 "allAddresses": [
28 {
29 "type": "billing",
30 "addressee": "Arthur Dent",
31 "line1": "20 W 34th St",
32 "line2": "Empire State Building",
33 "city": "New York",
34 "state": "New York",
35 "country": "US",
36 "postalCode": "10118"
37 },
38 {
39 "type": "shipping",
40 "addressee": "Arthur Dent",
41 "line1": "20 W 34th St",
42 "line2": "Empire State Building",
43 "city": "New York",
44 "state": "New York",
45 "country": "US",
46 "postalCode": "10118"
47 }
48 ],
49 "shippingAddress": {
50 "type": "shipping",
51 "japanType": "kanji",
52 "addressee": "Arthur Dent",
53 "line1": "20 W 34th St",
54 "line2": "Empire State Building",
55 "city": "New York",
56 "state": "New York",
57 "country": "US",
58 "postalCode": "10118"
59 },
60 "billingAddress": {
61 "type": "billing",
62 "addressee": "Arthur Dent",
63 "line1": "20 W 34th St",
64 "line2": "Empire State Building",
65 "city": "New York",
66 "state": "New York",
67 "country": "US",
68 "postalCode": "10118"
69 },
70 "shippingProvider": "Shipping Company, Co.",
71 "shippingTracking": "tr00000000001",
72 "shippingTrackingURL": "https://www.shippingcompany.com/tracking/tr00000000001",
73 "customerInfo": {
74 "fullName": "Arthur Dent",
75 "email": "arthur.dent@example.com"
76 },
77 "purchasedItems": [
78 {
79 "count": 1,
80 "rowTotal": {
81 "unit": "USD",
82 "value": "5561",
83 "string": "$ 55.61 USD"
84 },
85 "productId": "66072fb61b89448912e26791",
86 "productName": "Luxurious Fresh Ball",
87 "productSlug": "luxurious-fresh-ball",
88 "variantId": "66072fb71b89448912e2683f",
89 "variantName": "Luxurious Fresh Ball Generic: Bronze, Practical: Plastic",
90 "variantSlug": "luxurious-fresh-ball-generic-bronze-practical-plastic",
91 "variantSKU": "luxurious-fresh-ball-generic-bronze-practical-plastic",
92 "variantImage": {
93 "url": "https://dev-assets.website-files.com/66072f39417a2a35b2589cc7/66072fb51b89448912e2672c_image14.jpeg"
94 },
95 "variantPrice": {
96 "unit": "USD",
97 "value": "5561",
98 "string": "$ 55.61 USD"
99 },
100 "weight": 11,
101 "width": 82,
102 "height": 70,
103 "length": 9
104 },
105 {
106 "count": 1,
107 "rowTotal": {
108 "unit": "USD",
109 "value": "5344",
110 "string": "$ 53.44 USD"
111 },
112 "productId": "66072fb61b89448912e26799",
113 "productName": "Recycled Steel Gloves",
114 "productSlug": "recycled-steel-gloves",
115 "variantId": "66072fb91b89448912e26ab9",
116 "variantName": "Recycled Steel Gloves Electronic: Granite, Handcrafted: grey",
117 "variantSlug": "recycled-steel-gloves-electronic-granite-handcrafted-grey",
118 "variantSKU": "recycled-steel-gloves-electronic-granite-handcrafted-grey",
119 "variantImage": {
120 "url": "https://dev-assets.website-files.com/66072f39417a2a35b2589cc7/66072fb51b89448912e2671e_image2.jpeg"
121 },
122 "variantPrice": {
123 "unit": "USD",
124 "value": "5344",
125 "string": "$ 53.44 USD"
126 },
127 "weight": 38,
128 "width": 76,
129 "height": 85,
130 "length": 40
131 }
132 ],
133 "purchasedItemsCount": 2,
134 "stripeDetails": {
135 "subscriptionId": null,
136 "paymentMethod": "pm_1OzmzBJYFi4lcbXWHKNdXU7j",
137 "paymentIntentId": "pi_3OzmzDJYFi4lcbXW1hTBW6ft",
138 "customerId": "cus_PpRsNHwWdUoRKR",
139 "chargeId": "ch_3OzmzDJYFi4lcbXW1ndkkrH2",
140 "disputeId": null,
141 "refundId": "re_3OzmzDJYFi4lcbXW1kFAmlBk",
142 "refundReason": "fraudulent"
143 },
144 "stripeCard": {
145 "last4": "4242",
146 "brand": "Visa",
147 "ownerName": "Arthur Dent",
148 "expires": {
149 "year": 2024,
150 "month": 4
151 }
152 },
153 "customData": [
154 {}
155 ],
156 "metadata": {
157 "isBuyNow": false,
158 "hasDownloads": false,
159 "paymentProcessor": "stripe"
160 },
161 "isCustomerDeleted": false,
162 "isShippingRequired": true,
163 "totals": {
164 "subtotal": {
165 "unit": "USD",
166 "value": "10905",
167 "string": "$ 109.05 USD"
168 },
169 "extras": [
170 {
171 "type": "tax",
172 "name": "State Taxes",
173 "description": "NY Taxes (4.00%)",
174 "price": {
175 "unit": "USD",
176 "value": "436",
177 "string": "$ 4.36 USD"
178 }
179 },
180 {
181 "type": "tax",
182 "name": "City Taxes",
183 "description": "NEW YORK Taxes (4.88%)",
184 "price": {
185 "unit": "USD",
186 "value": "532",
187 "string": "$ 5.32 USD"
188 }
189 },
190 {
191 "type": "shipping",
192 "name": "Flat",
193 "description": "",
194 "price": {
195 "unit": "USD",
196 "value": "0",
197 "string": "$ 0.00 USD"
198 }
199 }
200 ],
201 "total": {
202 "unit": "USD",
203 "value": "11873",
204 "string": "$ 118.73 USD"
205 }
206 },
207 "downloadFiles": [
208 {
209 "id": "5e9a5eba75e0ac242e1b6f64",
210 "name": "New product guide",
211 "url": "https://webflow.com/dashboard/download-digital-product?payload=5d93ba5e38c6b0160ab711d3;e7634a;5eb1aac72912ec06f561278c;5e9a5eba75e0ac242e1b6f63:ka2nehxy:4a1ee0a632feaab94294350087215ed89533f2f530903e3b933b638940e921aa"
212 }
213 ]
214}

Updates an order’s status to unfulfilled

Required scope | ecommerce:write

Was this page helpful?
Previous

Refund Order

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
order_idstringRequiredformat: "objectid"
Unique identifier for an Order

Response

Request was successful
orderIdstringRead-only
The order ID. Will usually be 6 hex characters, but can also be 9 hex characters if the site has a very large number of Orders. Randomly assigned.
statusenum
The status of the Order
commentstring

A comment string for this Order, which is editable by API user (not used by Webflow).

orderCommentstring
A comment that the customer left when making their Order
acceptedOnstring or nullformat: "date-time"
The ISO8601 timestamp that an Order was placed.
fulfilledOnstring or nullformat: "date-time"
When an Order is marked as 'fulfilled', this field represents the timestamp of the fulfillment in ISO8601 format. Otherwise, it is null.
refundedOnstring or nullformat: "date-time"
When an Order is marked as 'refunded', this field represents the timestamp of the fulfillment in ISO8601 format. Otherwise, it is null.
disputedOnstring or nullformat: "date-time"
When an Order is marked as 'disputed', this field represents the timestamp of the fulfillment in ISO8601 format. Otherwise, it is null.
disputeUpdatedOnstring or nullformat: "date-time"
If an Order has been disputed by the customer, this key will be set to the ISO8601 timestamp of the last update received. If the Order is not disputed, the key will be null.
disputeLastStatusenum or null

If an order was disputed by the customer, then this key will be set with the dispute’s status.

customerPaidobject
The total paid by the customer
netAmountobject
The net amount after application fees
applicationFeeobject
The application fee assessed by the platform
allAddresseslist of objects
All addresses provided by the customer during the ordering flow.
shippingAddressobject
The shipping address
billingAddressobject
The billing address
shippingProviderstring or null

A string editable by the API user to note the shipping provider used (not used by Webflow).

shippingTrackingstring or null

A string editable by the API user to note the shipping tracking number for the order (not used by Webflow).

shippingTrackingURLstring or nullformat: "uri"
customerInfoobject

An object with the keys fullName and email.

purchasedItemslist of objects
An array of all things that the Customer purchased.
purchasedItemsCountdouble
The sum of all 'count' fields in 'purchasedItems'.
stripeDetailsobject
An object with various Stripe IDs, useful for linking into the stripe dashboard.
stripeCardobject
Details on the card used to fulfill this order, if this order was finalized with Stripe.
paypalDetailsobject
customDatalist of objects
An array of additional inputs for custom order data gathering. Each object in the array represents an input with a name, and a textInput, textArea, or checkbox value.
metadataobject
isCustomerDeletedboolean
A boolean indicating whether the customer has been deleted from the site.
isShippingRequiredboolean
A boolean indicating whether the order contains one or more purchased items that require shipping.
hasDownloadsboolean
A boolean indicating whether the order contains one or more purchased items that are downloadable.
paymentProcessorstring
A string indicating the payment processor used for this order.
totalsobject
An object describing various pricing totals
downloadFileslist of objectsDefaults to []
An array of downloadable file objects.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error